Package org.bukkit.inventory.meta

# Interface SkullMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface SkullMeta extends ItemMeta
Represents a skull that can have an owner.

## Method Summary

Modifier and Type
Method
Description
`@NotNull SkullMeta`
`clone()`
`@Nullable String`
`getOwner()`
Deprecated.
see `getOwningPlayer()`.
`@Nullable PlayerProfile`
`getOwnerProfile()`
Deprecated.
`@Nullable OfflinePlayer`
`getOwningPlayer()`
Gets the owner of the skull.
`PlayerProfile`
`getPlayerProfile()`
If the skull has an owner, per `hasOwner()`, return the owners `PlayerProfile`
`boolean`
`hasOwner()`
Checks to see if the skull has an owner.
`boolean`
`setOwner(@Nullable String owner)`
Deprecated.
see `setOwningPlayer(org.bukkit.OfflinePlayer)`.
`void`
`setOwnerProfile(@Nullable PlayerProfile profile)`
Deprecated.
`boolean`
`setOwningPlayer(@Nullable OfflinePlayer owner)`
Sets the owner of the skull.
`void`
`setPlayerProfile(PlayerProfile profile)`
Sets this skull to use the supplied Player Profile, which can include textures already prefilled.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### getOwner

@Deprecated @Nullable @Nullable String getOwner()
Deprecated.
see `getOwningPlayer()`.
Gets the owner of the skull.

Returns:
  the owner if the skull

### hasOwner

boolean hasOwner()
Checks to see if the skull has an owner.

Returns:
  true if the skull has an owner

### setOwner

@Deprecated boolean setOwner(@Nullable @Nullable String owner)
Deprecated.
see `setOwningPlayer(org.bukkit.OfflinePlayer)`.
Sets the owner of the skull.

Parameters:
  `owner` - the new owner of the skull
Returns:
  true if the owner was successfully set

### setPlayerProfile

void setPlayerProfile(@Nullable PlayerProfile profile)
Sets this skull to use the supplied Player Profile, which can include textures already prefilled.

Parameters:
  `profile` - The profile to set this Skull to use, or null to clear owner

### getPlayerProfile

@Nullable PlayerProfile getPlayerProfile()
If the skull has an owner, per `hasOwner()`, return the owners `PlayerProfile`

Returns:
  The profile of the owner, if set

### getOwningPlayer

@Nullable @Nullable OfflinePlayer getOwningPlayer()
Gets the owner of the skull.

Returns:
  the owner if the skull

### setOwningPlayer

boolean setOwningPlayer(@Nullable @Nullable OfflinePlayer owner)
Sets the owner of the skull.

Plugins should check that hasOwner() returns true before calling this plugin.

Parameters:
  `owner` - the new owner of the skull
Returns:
  true if the owner was successfully set

### getOwnerProfile

@Nullable @Deprecated @Nullable PlayerProfile getOwnerProfile()
Deprecated.
Gets the profile of the player who owns the skull. This player profile may appear as the texture depending on skull type.

Returns:
  the profile of the owning player

### setOwnerProfile

@Deprecated void setOwnerProfile(@Nullable @Nullable PlayerProfile profile)
Deprecated.
Sets the profile of the player who owns the skull. This player profile may appear as the texture depending on skull type.

The profile must contain both a unique id and a skin texture. If either of these is missing, the profile must contain a name by which the server will then attempt to look up the unique id and skin texture.

Parameters:
  `profile` - the profile of the owning player
Throws:
  `IllegalArgumentException` - if the profile does not contain the necessary information

### clone

@NotNull @NotNull SkullMeta clone()

Specified by:
  `clone` in interface `ItemMeta`